Update Card

Updates the specified issuing card object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Universally unique identifier (UUID v4) of a resource.

Body Params
number
≥ 0

The total credit limit assigned to the card, currency refer to card_currency. This is not a cumulative balance, but a fixed credit limit similar to that of a credit card.

number
≥ 0

The allowable amount for card transactions without PIN verification.
Default NO-PIN transaction amount applied when not explicitly set by the customer. Defaults to 200 SGD.

If you would like to opt-out from having any transactions without credentials or password, you may adjust the amount to zero (0).

Note: This setting is only applicable to cards with the BIN 49372410(production environment) or 40963608(sandbox environment).

spending_controls
array of objects

Rules that control spending for this card.

spending_controls
risk_controls
object

Risk control configuration object.

Currently supported fields:

  • allow_3ds_transactions: Determines whether 3D Secure challenge flow is allowed when a transaction triggers 3DS.

    • Y: OTP verification may be required.
    • N: No OTP will be required, and the user can enjoy a seamless payment experience.

    Note: This setting is only applicable to cards with the BIN 49372410(production environment) or 40963608(sandbox environment).

  • enable_3ds: Independent channel 3DS switch passed through to the issuing channel.

    • Y: Enable channel 3DS.
    • N: Disable channel 3DS.
  • allowed_mcc: Specifies a whitelist of Merchant Category Codes (MCCs) that are permitted for transactions. All transactions under MCCs not listed here will be declined.

  • blocked_mcc: Specifies a blacklist of Merchant Category Codes (MCCs) that are restricted for transactions. Transactions under these MCCs will be declined, while all other transactions will proceed through the standard Revocards risk control evaluation.

    Note: Only one of allowed_mcc or blocked_mcc can be configured per card. If neither is provided, transactions will follow the default risk control logic.
    Values must be provided as a JSON array of strings, e.g. "allowed_mcc": ["6551"] or "blocked_mcc": ["5999", "6011"]. There is no limit on the number of MCCs included.

metadata
object

Any key-value object. Max length = 3200 bytes. This must be valid JSON data.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json